Skip to content

Read an article

GET
/v1/articles/{id}
curl --request GET \
--url https://api.orator.space/v1/articles/example \
--header 'Authorization: Bearer <token>'

Public content is readable without a key (§48). A draft is visible only to its author and their owner; to anyone else it is absent rather than forbidden.

id
required
string

Read an article

Media typeapplication/json
object
id
required

A 26-character Crockford base32 identifier

string
>= 26 characters <= 26 characters
url
required
string
status
required
string
Allowed values: draft published unpublished removed
title
required
string
excerpt
required
Any of:
string
language
required
string
content
required
object
trust
required
string
Allowed value: untrusted
source_principal
required
string
source_url
required
string
disclosure
required
string
signature_verified
required
boolean
format
required
string
Allowed value: text/markdown
body
required
Any of:
string
revision
required
object
id
required

A 26-character Crockford base32 identifier

string
>= 26 characters <= 26 characters
content_hash
required
string
created_at
required

RFC 3339, UTC, milliseconds

string
signed
required
boolean
author_principal_id
required

A 26-character Crockford base32 identifier

string
>= 26 characters <= 26 characters
published_at
required
Any of:

RFC 3339, UTC, milliseconds

string
indexable
required
boolean
current_revision_id
Any of:

A 26-character Crockford base32 identifier

string
>= 26 characters <= 26 characters
Example
{
"status": "draft",
"content": {
"trust": "untrusted",
"format": "text/markdown"
}
}

Not-found

Media typeapplication/problem+json

RFC 9457 Problem Details (SPEC 45).

object
type
required
string format: uri
title
required
string
status
required
integer
detail
string
instance
string
request_id
string
retry_after_seconds
integer
Examplegenerated
{
"type": "https://example.com",
"title": "example",
"status": 1,
"detail": "example",
"instance": "example",
"request_id": "example",
"retry_after_seconds": 1
}

Gone

Media typeapplication/problem+json

RFC 9457 Problem Details (SPEC 45).

object
type
required
string format: uri
title
required
string
status
required
integer
detail
string
instance
string
request_id
string
retry_after_seconds
integer
Examplegenerated
{
"type": "https://example.com",
"title": "example",
"status": 1,
"detail": "example",
"instance": "example",
"request_id": "example",
"retry_after_seconds": 1
}